Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1954043 - Subscriptions and Pools can be associated across organizations
Summary: Subscriptions and Pools can be associated across organizations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.10.0
Assignee: Jonathon Turel
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-27 13:53 UTC by Jonathon Turel
Modified: 2021-11-16 14:10 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-4.1.0-0.1.rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:10:44 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
tfm-rubygem-katello-3.14.0.32-2.HFRHBZ1954043.el7sat.noarch.rpm (10.87 MB, application/x-rpm)
2021-05-04 21:25 UTC, Mike McCune
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32334 0 Normal Closed Subscriptions and Pools can be associated across organizations 2021-04-27 13:53:45 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:10:50 UTC

Description Jonathon Turel 2021-04-27 13:53:44 UTC
There is no validation between the organizations assigned to Pools and Subscriptions which can lead to data integrity problems.

Comment 1 Jonathon Turel 2021-04-27 13:53:48 UTC
Created from redmine issue https://projects.theforeman.org/issues/32334

Comment 2 Jonathon Turel 2021-04-27 13:53:50 UTC
Upstream bug assigned to jturel

Comment 4 Mike McCune 2021-05-04 21:24:41 UTC
*** Satellite 6.7.5 Hotfix Available ***

1) Download tfm-rubygem-katello-3.14.0.32-2.HFRHBZ1954043.el7sat.noarch.rpm from this bugzilla to your Satellite

2) stop services:

satellite-maintain service stop

3) Install:

rpm -Uvh tfm-rubygem-katello-3.14.0.32-2.HFRHBZ1954043.el7sat.noarch.rpm

4) restart and enable maintenance mode:

satellite-maintain service start
satellite-maintain maintenance-mode start

5) migrate the database:

foreman-rake db:migrate

6) run the rake task to correct invalid pools
 
# foreman-rake katello:upgrades:4.1:fix_invalid_pools
I, [2021-05-04T17:24:04.518830 #1405]  INFO -- : Corrected 0 invalid pools
I, [2021-05-04T17:24:04.518872 #1405]  INFO -- : Removed 0 orphaned pools

7) Disable maintenance mode and resume operations

satellite-maintain maintenance-mode stop

Comment 5 Mike McCune 2021-05-04 21:25:15 UTC
Created attachment 1779569 [details]
tfm-rubygem-katello-3.14.0.32-2.HFRHBZ1954043.el7sat.noarch.rpm

Comment 10 errata-xmlrpc 2021-11-16 14:10:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.